# Configuration file local to this node

{ config, pkgs, ... }:

{
  imports =
    [
      ./remote-unlock.nix
    ];

  # Use the systemd-boot EFI boot loader.
  boot.loader.systemd-boot.enable = true;
  boot.loader.timeout = 20;
  boot.loader.efi.canTouchEfiVariables = true;

  networking.hostName = "cariacou";

  deuxfleurs.network_interface = "eno1";
  deuxfleurs.lan_ip = "192.168.1.21";
  deuxfleurs.ipv6 = "2a06:a004:3025:1::21";

  deuxfleurs.cluster_ip = "10.14.179.56";
  deuxfleurs.is_raft_server = true;

  # Enable netdata monitoring
  services.netdata.enable = true;
}
